<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>
		<!-- ========================================= Review Perilaku  Views =============================================== -->
		<record id="view_perilaku_consolidation_realisasi_perilaku_form" model="ir.ui.view">
            <field name="name">project.perilaku.consolidation.form</field>
            <field name="model">project.perilaku</field>
            <field name="inherit_id" ref="df_project.view_menu_realisasi_perilaku_form"/>
            <field eval="2" name="priority"/>
            <field name="arch" type="xml">
                <xpath expr="//button[@name='action_appeal_rejected_perilaku_popup']" position="after">
                  <span  attrs="{'invisible':[('state','!=', 'done')]}">
                 
                  <button name="action_propose_perilaku_review_by_atasan" string="Ajukan Review" type="object"    
                   groups="df_project.group_project_manager"  
                   help="Pengajuan Review Dilakukan Oleh Atasan Langsung, Untuk Mengajukan koreksi penilaian staffnya"
                  />
                  </span>
			    </xpath>
			    <xpath expr="//button[@name='do_recalculate_poin']" position="after">
				<span  attrs="{'invisible':[('state','!=', 'propose_to_review')]}">
                  <button name="action_review_accepted_byatasan" string="Terima Review Nilai" type="object" class="oe_highhlight"  
                   groups="df_project.group_project_evaluated_bkd"    />
                  <button name="action_review_rejected" string="Tolak Review Nilai" type="object"  
                   groups="df_project.group_project_evaluated_bkd"    />
                </span>
			    </xpath>
			    <!-- Yang bawah -->
			    
				
			    
			    <xpath expr="/form/sheet/notebook[1]" position="after">
			    	<hr/>
						<span attrs="{'invisible':[('is_review','=', False )]}"  >
						    <h2>Usulan Review</h2>
						    <group>
						    	<field name='is_review' invisible="True"/>			
								<field name='nilai_sebelum_review'  attrs="{'invisible':[('is_review','=', False )]}"  />
								<field name='review_notes'  attrs="{'invisible':[('is_review','=', False )]}" />		    
						    </group>
							<group>
															<div name="review_realisasi_perilaku_kerja_realisasi"   >
										                    	<group>
										                    		<div>
													                        <div style="background:#19bb9b;text-align:center" >
													                        	<h3>Orientasi Pelayanan</h3>
													                       	</div>
													                       	<div>
													                                <field name="is_orientasi_pelayanan_review" invisible="True"/>
																			</div>
																			<group col="2" attrs="{'invisible': [('is_orientasi_pelayanan_review','=',False)]}" >
																				 <group>
																				 
																						<field name="review_realisasi_jumlah_konsumen_pelayanan" string="Jumlah Pelayanan" /> 
																						<field name="review_realisasi_satuan_jumlah_konsumen_pelayanan" />    
														                         		<field name="review_realisasi_jumlah_tidakpuas_pelayanan" /> 
														                         </group>
																				 <group attrs="{'invisible': [('is_kepala_opd','=',False)]}" >
																								<field name="review_realisasi_ketepatan_laporan_spj" /> 
																								<field name="review_realisasi_ketepatan_laporan_ukp4" />       
																                         		<field name="review_realisasi_efisiensi_biaya_operasional" /> 
														                         </group>
													                        </group>
													                        <div style="background:#19bb9b;text-align:center" >
													                        	 	<h3>Integritas</h3>
													                        </div>
													                        <div>
													                          	   <field name="is_integritas_review"  invisible="True"/>
																			</div>	
																			<div attrs="{'invisible': [('is_integritas_review','=',False)]}"  >
																				<div style="background:#8addf6" >
														                        	 	<h5>Hukuman Disiplin</h5>
														                        </div>	
																				<group col="2">
																								<field name="review_realisasi_integritas_hukuman"  />
																								<field name="review_realisasi_integritas_hukuman_ringan" attrs="{'invisible':[('review_realisasi_integritas_hukuman','=', 'tidak')]}"/>    
																								<field name="review_realisasi_integritas_hukuman_sedang" attrs="{'invisible':[('review_realisasi_integritas_hukuman','=',  'tidak')]}"/>
																								<field name="review_realisasi_integritas_hukuman_berat" attrs="{'invisible':[('review_realisasi_integritas_hukuman','=',  'tidak')]}"/>                                	
																								  
																                </group>
																				<div style="background:#8addf6" >
														                        	 	<h5>Penghargaan</h5>
														                        </div>	
														                        <group col="4">
														                        	 		<group col="2">
																								<field name="review_realisasi_integritas_presiden" />                        	
																								<field name="review_realisasi_integritas_gubernur" />
																								<field name="review_realisasi_integritas_kepalaopd" /> 
																								<field name="review_realisasi_integritas_atasan" />  
																                        	</group>       
																							<group col="2">
																								<field name="review_realisasi_integritas_es1" />  
																								<field name="review_realisasi_integritas_es2" />   
																								<field name="review_realisasi_integritas_es3"  invisible="True" />     
																                       			<field name="review_realisasi_integritas_es4"  invisible="True"  />																
																							</group>                            	
														                        </group>
													                        </div>
													                         <div style="background:#19bb9b;text-align:center" >
													                        	 	<h3>Komitmen</h3>
													                         </div>
													                         <div>
													                          	   <field name="is_komitmen_review"  invisible="True"/>
																			</div>	
													                         <group col="2" attrs="{'invisible': [('is_komitmen_review','=',False)]}">
													                         			<div>
																						<group col="4">		
																						    <field name="review_realisasi_hadir_apel_pagi"  />		
																							<field name="review_realisasi_hadir_upacara_hari_besar" /> 
														                         		</group>	 
																						</div>                             	
													                        </group>
													                        <div style="background:#19bb9b;text-align:center" >
													                        	 	<h3>Disiplin</h3>
													                         </div>
													                         <div>
													                          	   <field name="is_disiplin_review"  invisible="True"/>
																			</div>	
													                         <group col="2" attrs="{'invisible': [('is_disiplin_review','=',False)]}">
													                         			<div>
																						<group col="4">		
																						    <field name="review_realisasi_hadir_hari_kerja"  />  
															                         		<field name="review_realisasi_hadir_jam_kerja" />
															                         	</group>	 
																						</div>                             	
													                        </group>
													                        <div style="background:#19bb9b;text-align:center" >
													                        	 	<h3>Kerjasama</h3>
													                         </div>
																			<div>
													                          	   <field name="is_kerjasama_review"  invisible="True"/>
																			</div>	
													                         <group col="4" attrs="{'invisible': [('is_kerjasama_review','=',False)]}">
													                             		<group col="2">
																							<field name="review_realisasi_kerjasama_nasional" />                            	
															                         		<field name="review_realisasi_kerjasama_gubernur" />
															                         		<field name="review_realisasi_kerjasama_kepalaopd" />     
																							<field name="review_realisasi_kerjasama_atasan" />
														                       			</group>
														                       			<group col="2">                             	
															                        		<field name="review_realisasi_kerjasama_rapat_nasional" />         
															                         		<field name="review_realisasi_kerjasama_rapat_provinsi" />
																							<field name="review_realisasi_kerjasama_rapat_perangkat_daerah" />     
															                       			<field name="review_realisasi_kerjasama_rapat_atasan" />                                 	
														                        		</group>            	
													                        </group>
													                        <div attrs="{'invisible':[('employee_job_type','!=', 'struktural')]}"  >
														                        <div style="background:#19bb9b;text-align:center"  >
														                        	 	<h3>Kepemimpinan</h3>
														                         </div>
														                         <div>
													                          	   <field name="is_kepemimpinan_review"  invisible="True"/>
																					</div>	
													                         <group col="4" attrs="{'invisible': [('is_kepemimpinan_review','=',False)]}">
														                        	 <div>
														                        	 		<group col="2">
																								<field name="review_realisasi_kepemimpinan_nasional"/>                            	
																								<field name="review_realisasi_kepemimpinan_gubernur"/>                          	
																								<field name="review_realisasi_kepemimpinan_kepalaopd"/> 
																								<field name="review_realisasi_kepemimpinan_atasan"/>                                 	
															                       			</group>
												                        					<group col="2">
												                        						<field name="review_realisasi_kepemimpinan_narsum_nasional"/>                             	
																								<field name="review_realisasi_kepemimpinan_narsum_provinsi"/>
																                        		<field name="review_realisasi_kepemimpinan_narsum_perangkat_daerah"/>      
																                       			<field name="review_realisasi_kepemimpinan_narsum_unitkerja"/>                              	
															                        		</group>                    	
															                        </div>
														                        </group>
													                        </div>
												                      </div>
												                   </group>
										                        </div>
									                   		</group> <!-- END GROUP Realiasasi   -->   
					
						</span>
						<div class="oe_right">
							<span  attrs="{'invisible':[('state','!=', 'propose_to_review')]}">
			                  <button name="action_review_accepted_byatasan" string="Terima Review Nilai" type="object" class="oe_highhlight"  
			                   groups="df_project.group_project_evaluated_bkd"    />
			                  <button name="action_review_rejected" string="Tolak Review Nilai" type="object"  
			                   groups="df_project.group_project_evaluated_bkd"    />
			                </span>
		                </div>
			    </xpath>
				
            </field>
        </record>
        
  		 <!-- action menu -->
        <record model="ir.actions.act_window" id="action_realisasi_perilaku_selesai_atasan">
            <field name="name">Realisasi Perilaku Selesai Unit</field>
            <field name="res_model">project.perilaku</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="context">{'search_default_group_target_period_month': 1}</field>
            <field name="domain">[('user_id_atasan','=',uid),('state','in',('done','closed'))]</field>
            <field name="search_view_id" ref="df_project.open_view_realisasi_perilaku_bulanan_all_filter"/>
            <field name="help" type="html">
              <p >
                Menu menampilkan data Realisasi Perilaku Bulanan Yang Sudah Selesai Dari Staff
              </p>
            </field>
        </record>
        
		<record model="ir.actions.act_window" id="action_realisasi_perilaku_propose_review_bkd">
            <field name="name">Realisasi Perilaku Yang Akan Direview</field>
            <field name="res_model">project.perilaku</field>
            <field name="view_type">form</field>
            <field name="view_mode">tree,form</field>
            <field name="search_view_id" ref="df_project.open_view_realisasi_perilaku_bulanan_all_filter"/>
            <field name="domain">[('user_id_bkd','=',uid),('state','=','propose_to_review')]</field>
            <field name="help" type="html">
              <p >
                Menu Menampilkan Data Realiasi SKP Bulanan Yang Akan Diajukan Review 
              </p>
            </field>
        </record>
		<!-- Menu -->
	
			<menuitem action="action_realisasi_perilaku_selesai_atasan" id="menu_realisasi_perilaku_selesai_atasan" name="Realisasi Perilaku Bulanan Selesai"  
				 	 sequence="3" parent="menu_penilaian_prestasi_review_unit"  groups="df_project.group_project_manager"/>
			
		

		
			<menuitem action="action_realisasi_perilaku_propose_review_bkd" id="menu_realisasi_perilaku_propose_review_bkd" name="Realisasi Perilaku Bulanan"   
				 	 sequence="3" parent="menu_penilaian_prestasi_konfirmasi_review"  groups="df_project.group_project_evaluated_bkd" />

	</data>
</openerp>


